/* tinggi select2 mengikuti bootstrap */
.select2-container--bootstrap-5 .select2-selection {
  height: 38px;
  display: flex;
  align-items: center;
}

/* validasi merah */
.is-invalid + .select2-container .select2-selection {
  border-color: #dc3545 !important;
}

/* focus error */
.is-invalid + .select2-container--bootstrap-5 .select2-selection:focus {
  border-color: #dc3545 !important;
  box-shadow: 0 0 0 .25rem rgba(220,53,69,.25);
}

input.is-invalid,
select.is-invalid,
textarea.is-invalid{
  border-color:#dc3545;
}

.select2-selection.is-invalid{
border-color:#dc3545 !important;
}

.invalid-feedback{
  display:none;
}

.is-invalid ~ .invalid-feedback{
  display:block;
}

/* Select2 ReadOnly Start */
select[readonly].select2-hidden-accessible + .select2-container {
    pointer-events: none;
    touch-action: none;
}
select[readonly].select2-hidden-accessible + .select2-container .select2-selection {
    background: #eee; /* Optional: adds a gray background */
    box-shadow: none;
}
select[readonly].select2-hidden-accessible + .select2-container .select2-selection__arrow,
select[readonly].select2-hidden-accessible + .select2-container .select2-selection__clear {
    display: none; /* Optional: hides dropdown arrow and clear button */
}
/* Select2 ReadOnly End */